Jump to content

Recommended Posts

I'm trying to resolve it second day and I stilI can not install gcc4.1. I use Ubuntu and in Package Manager I have only gcc4.4 and 4.5. It's crazy :(

If I install gcc, it will be easy to install Houdini, compile Bullet Library and compile plugin.

A suggestion is to make a CentOS 5 virtual machine in VirtualBox or VMWare and compile there. Installing gcc 4.1 in recent ubuntu versions will just give you a headache (been there done that).

Share this post


Link to post
Share on other sites

A suggestion is to make a CentOS 5 virtual machine in VirtualBox or VMWare and compile there. Installing gcc 4.1 in recent ubuntu versions will just give you a headache (been there done that).

Is there some image for VMWare? I can't find it.

Do I need CentOS 5 or 5.1, 5.2, ... ?

Share this post


Link to post
Share on other sites

Is there some image for VMWare? I can't find it.

Do I need CentOS 5 or 5.1, 5.2, ... ?

Personally i prefer VirtualBox but it's the same way of setting it up in Vmware. Create a virtual machine and install CentOS on it through the regular CentOS installation. I don't remember exactly what the option is called but there is a possibility to install from an .iso file. Grabbing the latest 5.9 should work the best (http://mirrors.se.kernel.org/centos/5.9/isos/x86_64/CentOS-5.9-x86_64-netinstall.iso).

If you are more familiar with Ubuntu you could also grab some old Ubuntu LTS that got gcc 4.1. I believe it was still available in Lucid (10.04). CentOS should be more stable and secure tho as it still receives updates.

Share this post


Link to post
Share on other sites

Personally i prefer VirtualBox but it's the same way of setting it up in Vmware. Create a virtual machine and install CentOS on it through the regular CentOS installation. I don't remember exactly what the option is called but there is a possibility to install from an .iso file. Grabbing the latest 5.9 should work the best (http://mirrors.se.ke...-netinstall.iso).

If you are more familiar with Ubuntu you could also grab some old Ubuntu LTS that got gcc 4.1. I believe it was still available in Lucid (10.04). CentOS should be more stable and secure tho as it still receives updates.

thanks alot. I've installed it + gcc, gcc-c++, Houdini .... so I hope We will have BulletSOP for gcc4.1 soon :)

Share this post


Link to post
Share on other sites

Any body please explain me, I placed the "SOP_bullet.dll" in my (C:\Users\SHANKAR\Documents\houdini12.5\dso) and after that while opening houdini it shows some error. Also don't know Where should i place the Other files. Now only Started Learning houdini Full fledged. Need help....

Thanks in Advance... :)

Share this post


Link to post
Share on other sites

Any body please explain me, I placed the "SOP_bullet.dll" in my (C:\Users\SHANKAR\Documents\houdini12.5\dso) and after that while opening houdini it shows some error. Also don't know Where should i place the Other files. Now only Started Learning houdini Full fledged. Need help....

Thanks in Advance... :)

What version of Houdini Do you have? You need exactly 12.5.469!!!

Installation is SIMPLE - you copy only one dll file that's all.

Share this post


Link to post
Share on other sites

Working fine... Version was the problem... I checked the videos available in vimeo other than this Is there any Help Documents available...

I collaborate with one person on documentation, so there is good chance that We will release it with v2.0.10, which probably will come with next Houdini production build.

  • Like 1

Share this post


Link to post
Share on other sites

Hello Milan, thanks a lot for your incredible work !

I'm wondering something about btSolver : where is the checkbox : Update Properties ?

Like in your video : https://vimeo.com/57198443#t=675

Because the rotation of my box (floor) is not updated.

Thank you :)

Thanks,

It's in btModify->RBDs. It's called "Update". Set it to 1.

The reason why I changed it is because you can update only few objects(not all objs), which has significant impact on speed!

Share this post


Link to post
Share on other sites

I've tried to install it as described on OS X 10.8.5 and Houdini 12.5.469. It seem's that it isn't recognized by houdini because I don't have the sop nodes and don't get any error message.

Any ideas?

Share this post


Link to post
Share on other sites

I've tried to install it as described on OS X 10.8.5 and Houdini 12.5.469. It seem's that it isn't recognized by houdini because I don't have the sop nodes and don't get any error message.

Any ideas?

Sorry, there is no version for OSX. Only Linux(gcc4.1&4.4, both 64bit) and Windows(64bit).

I'm able to compile it on OSX, but it crashes somewhere in bullet library code. Nodes which don't use bullet solver(btPrepare, btBuild, btModify, btTransform) running OK, so I think that problem is in compiling Bullet Library libs which are not compatible with hcustom(houdini compiler settings).

All people(studios) whose bought it works on Linux so I mostly concentrate on this version!

Edited by MilanSuk

Share this post


Link to post
Share on other sites

Hey,

I'm wondering if it's possible to move an object from a collision group to another, doesn't seem to work on my scene.

The cube group changes from "bullet_cubes" to "bullet_cubes_dont_shake" at frame 40 and should stop being affected by the "massage" geometry, but the cube doesn't seem to change collision groups.

(it's part of a more complicated setup, removed most of it, I can avoid using the collision groups but it;s the nicest way of doing it)

Thanks in advance,

P.S : the houses RND is nice

collisionGroupBug.hipnc

Share this post


Link to post
Share on other sites

I'm wondering if it's possible to move an object from a collision group to another, doesn't seem to work on my scene.

I'm just checking it and your scene is fine, but It doesn't work. I debug source code and everything looks good. i think that problem is in Bullet Library, which holds internally some pairs. But I can't find way how to reset it :(

Share this post


Link to post
Share on other sites

I just saw that there is new Bullet Library v2.82: http://bulletphysics.org/Bullet/phpBB3/viewtopic.php?t=9496

So I added new btMLCPSolver, which brings more stability, but speed is not good. You can activate it on btSolver -> Advanced tab, but it's useful only in situation when you need accurate result and you have plenty of time.

Share this post


Link to post
Share on other sites

when i learn BulletSop with the example in the installer package, i have a doubt, when and why to connect the shapes into btSolver ? i create a simple sense btBuilder Hull with the option box ,the solver does not need shapes connected , but in the "6_example_loader/emit_objs" example, it must connect the shapes to solver even the btBuilder Hull with option Box.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×